Page MenuHomePhabricator

Identify wikis to test numerical sorting
Closed, ResolvedPublic

Description

re: T58041: updateCollation.php script prohibitively slow for very large wikis

Once the new script is ready, we'll want to test the new ICU library numerical sorting.

The first test will be on testwiki, and after that, it would be good to start with some smaller wikis and work our way up.

The next step up from testwiki might be one of the Wikitionary sites that Johan's been talking to.

Some Wikipedias are already using the ICU library, but not using the numerical sorting. Switching to ICU numerical sorting on those will be lower-risk, because it's less of a change. The wikis that currently use ICU library include: Swedish, French, Dutch, Russian, Polish, Finnish, Portuguese, Persian.

For this task: Identify and check in with a few communities who are interested in being an early adopter for numerical sorting.

Event Timeline

DannyH created this task.Mar 18 2016, 12:45 AM
Restricted Application added a project: User-Johan. · View Herald TranscriptMar 18 2016, 12:45 AM
Restricted Application added subscribers: Josve05a, Aklapper. · View Herald Transcript
Johan added a comment.Mar 22 2016, 5:38 PM

I've asked Swedish Wiktionary if they'd want to pioneer this as a real content wiki.

Johan moved this task from Backlog to Do now on the User-Johan board.Mar 22 2016, 6:11 PM
Johan added a comment.Mar 31 2016, 4:03 PM

Not a lot of reactions, which is kind of expected when picking a small wiki, but no one is saying no a those who have said something seem to be OK with being the first wiki.

Johan closed this task as Resolved.Jul 8 2016, 8:28 AM

We're approaching this from a different technical angle than expected, so further work no longer relevant, unless I'm mistaken.

Johan moved this task from Do now to Archive on the User-Johan board.Nov 29 2016, 4:33 PM